<?php
/**
 * Options Abstract
 *
 * @author Jegtheme
 * @since 1.0.0
 * @package JFP_WOOCOMMERCE\Customizer
 */

namespace JFP_WOOCOMMERCE\Customizer;

/** Exit if accessed directly */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

use Jeg\Customizer\Customizer;

/**
 * Class Options
 *
 * @package JFP_WOOCOMMERCE\Customizer
 */
class Options {

	/**
	 * Options constructor.
	 */
	public function __construct() {
		add_action( 'jeg_register_customizer_option', [ $this, 'register_lazy_section' ], 91 );
		add_filter( 'jeg_register_lazy_section', [ $this, 'load_customizer' ] );
	}

	/**
	 * Register Lazy Customizer
	 */
	public function register_lazy_section() {

		$customizer = Customizer::get_instance();

		$customizer->add_section(
			[
				'id'       => 'jfp_section',
				'title'    => esc_html__( 'JEG: Font Preview', 'jfp-woocommerce' ),
				'panel'    => '',
				'priority' => 250,
				'type'     => 'jeg-lazy-section',
			]
		);
	}

	/**
	 * Load Customizer
	 *
	 * @param array $result Array list of section.
	 *
	 * @return mixed
	 */
	public function load_customizer( $result ) {
		$result['jfp_section'][] = JFP_WOOCOMMERCE_CLASSPATH . 'customizer/options/jfp-woocommerce-options.php';

		return $result;
	}
}
